/* You can add global styles to this file, and also import other style files */
// External custom styles
@import "./styles/init-css";
@import "./styles/colors";

// Roboto font
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");
// Google Icons
@import url("https://fonts.googleapis.com/icon?family=Material+Icons");

// For primeflex css -> npm install primeflex
@import "~primeflex/primeflex.scss";

// For primeNG -> npm install primeng --save & npm install primeicons --save
@import "~primeicons/primeicons.css";
@import "~primeng/resources/themes/bootstrap4-dark-blue/theme.css";
@import "~primeng/resources/primeng.min.css";

// nice body setup
body {
  font-family: "Roboto", sans-serif;
  font-size: 14px;
  color: $white;
  background-color: $bgColor;
}
// For links
a {
  text-decoration: none;
  color: $white;
}

// google icons
.app-icon {
  font-family: "Material Icons";
  font-weight: normal;
  font-style: normal;
  font-size: 24px; /* Preferred icon size */
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;

  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;

  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;

  /* Support for IE. */
  font-feature-settings: "liga";
}

// nice container styles
.container {
  margin: 0.5rem;
  padding: 0.5rem;
}
